import logging

from control.base.base_control import BaseControl, UIControl


class ControlUtils(UIControl):

    def __init__(self, **kwargs):
        pass

    def event_1(self):
        pass

    def event_2(self):
        """
        点击全部的 event2
        :return:
        """
        for k, v in BaseControl.connect_dict.items():
            logging.info(f'执行=event2=>{k},{v}')
            v['control'].event_2()

        pass

    def event_3(self):
        pass

    def event_4(self):
        pass

    def event_5(self):
        pass

    def event_6(self):
        pass

    def event_7(self):
        pass

    def event_8(self):
        pass
